
Installer - Feature #20889

Make it possible to install Foreman's httpd with mpm_event

09/11/2017 08:36 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.3.0

Triaged: No Found in Releases:  

Bugzilla link: 1463489 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/241,

https://github.com/theforeman/foreman-i

nstaller/pull/753

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1463489

Description of problem:

We did some measurement for number of concurrent registrations with Satellite on default mpm_prefork vs. mpm_event and with

mpm_event, we saw significant saving in RSS memory consumed by httpd processes.

Version-Release number of selected component (if applicable):

Satellite 6.2.9

How reproducible:

always

Steps to Reproduce:

1. measure RSS usage of all httpd processes together with default (currently

mpm_prefork) setting during concurrent registration of 140 hosts

2. measure RSS usage of all httpd processes together with mpm_event setting

configured during concurrent registration of 140 hosts

Actual results:

RSS memory usage in first case was about 2 GB, in second case 760 MB.

Additional info:

As discussed, it is important to carefully sanity-test Satellite in regards of functionality and performance.

Related issues:

Related to Installer - Feature #36784: Drop Apache mpm_event MaxRequestPerChi... Closed

Associated revisions

Revision 4da2dee8 - 09/11/2017 01:14 PM - Ewoud Kohl van Wijngaarden

Fixes #20889 - Use the Apache MPM event worker

Revision 640dfc6b - 04/29/2022 12:29 PM - William Clark

Fixes #20889 - Use event mpm module with Apache

History

#1 - 09/11/2017 08:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/241 added
#2 - 09/11/2017 01:29 PM - Ewoud Kohl van Wijngaarden

- Subject changed from make it possible to install Satellite's httpd with mpm_event

 to make it possible to install Satellite's httpd with mpm_event

- Status changed from Ready For Testing to Resolved

- translation missing: en.field_release set to 296

#3 - 07/12/2018 01:57 PM - Ewoud Kohl van Wijngaarden

- Status changed from Resolved to Closed

- Target version deleted (1.17.0)

- Triaged set to No

This was reverted in 0ed45f776fdbeb5d5dc814ffeab355da6aefce51

#4 - 11/18/2021 03:36 PM - Evgeni Golov

- Subject changed from make it possible to install Satellite's httpd with mpm_event to make it possible to install Foreman's httpd with mpm_event

- Status changed from Closed to New

- Assignee deleted (Ewoud Kohl van Wijngaarden)

Re-opening this, as the change that closed this issue was reverted in 

https://github.com/theforeman/foreman-installer/commit/0ed45f776fdbeb5d5dc814ffeab355da6aefce51

All supported Debian and Ubuntu releases, and EL8 have a sufficiently new Apache httpd, so the only outliner now is EL7.

It was discussed to make it "event" by default, and only use "prefork" for EL7.

#5 - 03/04/2022 10:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to William Clark

- Pull request https://github.com/theforeman/foreman-installer/pull/753 added

#6 - 04/29/2022 12:30 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#7 - 04/29/2022 01:01 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset installer|640dfc6b4aefc85a9af12c736191302184e7a28a.

#8 - 05/13/2022 10:59 AM - Amit Upadhye

- Subject changed from make it possible to install Foreman's httpd with mpm_event to Make it possible to install Foreman's httpd with mpm_event

#9 - 10/03/2023 10:25 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #36784: Drop Apache mpm_event MaxRequestPerChild values from tuning profiles added
